# 본인인증 정보삭제 API

{% hint style="warning" %}
**Deprecated**

이 문서는 더 이상 관리되지 않습니다.

[PortOne 개발자센터](https://developers.portone.io/)를 이용해주세요.
{% endhint %}

### 본인인증결과 정보를 포트원 서버내에서 완전히 삭제 합니다.

## 본인인증 결과정보를 포트원에서 완전히 삭제하고 싶을 때 요청합니다.

<mark style="color:red;">`DELETE`</mark> `https://api.iamport.kr/certifications/{imp_uid}`

#### Path Parameters

| Name                                       | Type   | Description                                    |
| ------------------------------------------ | ------ | ---------------------------------------------- |
| imp\_uid<mark style="color:red;">\*</mark> | String | <mark style="color:red;">**포트원 거래고유번호**</mark> |

{% tabs %}
{% tab title="200: OK 성공" %}
{% tabs %}
{% tab title="CertificationResponse" %}
**`code`** <mark style="color:purple;">**integer**</mark>

**응답코드**

0이면 정상적인 조회, 0 이 아닌 값이면 message를 확인해봐야 합니다

**`message`** <mark style="color:green;">**string**</mark>

**응답메세지**

code 값이 0이 아닐 때, '존재하지 않는 결제정보입니다'와 같은 오류 메세지를 포함합니다

**response** <mark style="color:red;">**(CertificationAnnotation, optional)**</mark>
{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="CertificationAnnotation" %}
**`imp_uid`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**string**</mark>

**`인증고유번호`**

**`merchant_uid`** <mark style="color:green;">**string**</mark>

**`주문번호`**

**`pg_tid`** <mark style="color:green;">**string**</mark>

**`PG사 인증결과 고유번호`**

**`pg_provider`** <mark style="color:red;">**\***</mark> <mark style="color:green;">**string**</mark>

**`본인인증 제공 PG사 명칭`**

**`name`** <mark style="color:green;">**string**</mark>

**`실명`**

**`gender`** <mark style="color:green;">**string**</mark>

**`성별`**

* male:남성
* female:여성

**`birthday`** <mark style="color:green;">**string**</mark>

**`생년월일`**

ISO8601 형식의 문자열. <mark style="color:red;">YYYY-MM-DD</mark> 10자리 문자열

**`foreigner`** <mark style="color:orange;">**boolean**</mark>

**`외국인여부`**

<mark style="color:red;">다날 본인인증서비스 계약시</mark> 외국인 구분기능 추가 요청을 해주셔야 사용이 가능합니다

* true : 외국인
* false : 내국인

**`phone`** <mark style="color:green;">**string**</mark>

**`휴대폰번호`**

특수기호없이 숫자로만 구성된 휴대폰번호가 전달. 통신사 사전승인이 이뤄지지 않으면 phone 속성은 존재하지 않습니다. 통신사 사전승인이 필요하므로 \*\*<cs@portone.io> \*\* 로 다날 CPID 와 함께 사용승인 요청이 필요합니다.

**`carrier`** <mark style="color:green;">**string**</mark>

**`휴대폰번호의 통신사`**

통신사 사전승인이 필요하므로 \*\*<cs@portone.io> \*\* 로 다날 CPID 와 함께 사용승인 요청이 필요합니다.

* SKT
* KT
* LGT
* SKT\_MVNO
* KT\_MVNO
* LGT\_MVNO

**`certified`** <mark style="color:orange;">**boolean**</mark>

**`인증성공여부`**

**`certified_at`** <mark style="color:green;">**string**</mark>

**`인증처리시각`** (UNIX timestamp)

**`unique_key`** <mark style="color:green;">**string**</mark>

**개인 고유구분 식별키 (`CI`)**

**`unique_in_site`** \*\*<mark style="color:green;">**string**</mark>

**가맹점 내 개인 고유구분 식별키 (`DI`)**

**`origin`** <mark style="color:green;">**string**</mark>

**본인인증 프로세스가 진행된 웹 페이지의 `URL`**

**`foreigner_v2`** <mark style="color:orange;">**boolean**</mark>

**`외국인 여부(nullable)`**

* true : 외국인
* false : 내국인

다날 본인인증서비스 계약시 외국인 구분기능 추가 요청필요
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="401: Unauthorized 인증 Token이 전달되지 않았거나 유효하지 않은 경우" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="404: Not Found 휴대폰 본인인증결과를 찾을 수 없음" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error DB삭제도중 서버 장애 발생" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Response Model Schema</summary>

```json
{
  "code": 0,
  "message": "string",
  "response": {
    "imp_uid": "string",
    "merchant_uid": "string",
    "pg_tid": "string",
    "pg_provider": "string",
    "name": "string",
    "gender": "string",
    "birth": 0,
    "birthday": "string",
    "foreigner": true,
    "phone": "string",
    "carrier": "SKT",
    "certified": true,
    "certified_at": 0,
    "unique_key": "string",
    "unique_in_site": "string",
    "origin": "string",
    "foreigner_v2": true
  }
}
```

</details>

{% hint style="success" %}
**Swagger Test Link**

[**https://api.iamport.kr/#!/certifications/deleteCertification**](https://api.iamport.kr/#!/certifications/deleteCertification)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://portone.gitbook.io/docs/api/api-5/api-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
